IBM® AIX® HSM Requirements

Technote (troubleshooting)


Problem(Abstract)

IBM Tivoli Storage Manager for Space Management (TSM HSM) Requirements for IBM® AIX®

Resolving the problem


Hardware and Software Requirements

Version 7.1
Hardware
Operating System
Communication Protocol
System p with:
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 6.1, xlC.rte 10.1.0.0 or higher
  • AIX 7.1 or higher

One of the following:
  • JFS2
  • GPFS 3.4.0.14 or higher
  • GPFS 3.5

Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher or GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )

Note: For HSM on JFS2 make sure that one of the following AIX APAR fixes are installed:
  • for AIX 6.1: IV22529
  • for AIX 7.1: IV22690


Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM GUI requires:
  • JAVA 7 Runtime Environment
Note: GPFS SOBAR is supported, required GPFS level is GPFS 3.5 TL 3 or higher.



Version 6.4
Hardware
Operating System
Communication Protocol
System p with:
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 6.1, xlC.rte 10.1.0.0 or higher
  • AIX 7.1 or higher

One of the following:
  • JFS2
  • GPFS 3.4.0.14 or higher
  • GPFS 3.5

Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher or GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )

Note: For HSM on JFS2 make sure that one of the following AIX APAR fixes are installed:
  • for AIX 6.1: IV22529
  • for AIX 7.1: IV22690


Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM GUI requires:
  • JAVA 6 Runtime Environment or
  • JAVA 7 Runtime Environment
Note: GPFS SOBAR is supported beginning with HSM 6.4.1, minimum GPFS level is GPFS 3.5 TL 3


Version 6.3
Hardware
Operating System
Communication Protocol
System p with:
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 6.1, xlC.rte 10.1.0.0 or higher
  • AIX 7.1 or higher

One of the following:
  • JFS2
  • GPFS 3.4.0.14 or higher
  • GPFS 3.5

Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher or GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )

Note: For HSM on JFS2 make sure that one of the following AIX APAR fixes are installed:
  • for AIX 6.1: IV22529
  • for AIX 7.1: IV22690


Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM GUI requires:
  • JAVA 6 Runtime Environment or
  • JAVA 7 Runtime Environment

Version 6.2
Hardware
Operating System
Communication Protocol
System p with:
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system
  • if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 5.3 at maintenance level 1 or higher, xlC.rte 9.0.0.3 or higher
  • AIX 6.1, xlC.rte 9.0.0.3 or higher
  • AIX 7.1 or higher with HSM 6.2.2 or higher

One of the following:
  • JFS2
  • GPFS 3.2.1.8 or higher
  • GPFS 3.3.0.3 or higher
  • GPFS 3.4.0.4 or higher

Note: when GPFS snapshots are used GPFS 3.4.0.29 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )

Note: For HSM on JFS2 with AIX 5.3 TL11 SP6 make sure that the following AIX APAR fix is installed:
  • IZ96928
Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM GUI requires:
  • JAVA 5 Runtime Environment or
  • JAVA 6 Runtime Environment

Version 6.1 is past End of support (EOS)
Hardware
Operating System
Communication Protocol
System p with:
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system
  • 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 5.3 at maintenance level 1 or higher, xlC.rte 9.0.0.3 or higher
  • AIX 6.1, xlC.rte 9.0.0.3 or higher

One of the following:
  • JFS2
  • GPFS 3.2.1.8 or higher
  • GPFS 3.3.0.3 or higher with HSM 6.1.3 or higher

Note: For HSM on JFS2 with AIX 5.3 TL11 SP6 make sure that the following AIX APAR fix is installed:
  • IZ96928
Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM GUI requires:
  • JAVA 5 Runtime Environment

Version 5.5 is past End of support (EOS)
Hardware
Operating System
Communication Protocol
System p or compatible workstation, as supported by AIX, with:
  • 1 GB disk space for the installation

No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
One of the following:
  • AIX 5.3, at Technology Level 5 or higher (32-bit or 64-bit, user or group names < 64 chars), xlC.rte 9.0.0.3 or higher
  • AIX 6.1, xlC.rte 9.0.0.3 or higher

One of the following:
  • JFS2 (64 bit only)
  • GPFS 3.2.1.8

Note: For HSM on JFS2 with AIX 5.3 TL11 SP6 make sure that the following AIX APAR fix is installed:
  • IZ96928
Note: On a GPFS cluster with AIX and Linux nodes, either install HSM on AIX nodes only or on Linux nodes only.
One of the following:
  • TCP/IP, which comes standard with AIX
  • Shared Memory Protocol (with AIX server only)
Additional Software:
The HSM client GUI requires:
  • JRE 1.4.x (where x is 1 or higher), or JRE 5

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Storage Manager for Space Management

Software version:

5.5, 6.1, 6.2, 6.3, 6.4, 7.1

Operating system(s):

AIX

Reference #:

1248419

Modified date:

2014-07-17

Translate my page

Machine Translation

Content navigation